//this source code was auto-generated by tolua#, do not modify it
using System;
using LuaInterface;

public class CLASSTAG_live2d_framework_L2DPhysicsWrap
{
	public static void Register(LuaState L)
	{
		L.BeginClass(typeof(live2d.framework.L2DPhysics), typeof(System.Object));
		L.RegFunction("updateParam",FUNCTAG_updateParam);
		L.RegFunction("load",FUNCTAG_load);
		L.RegFunction("New",FUNCTAG__Createlive2d_framework_L2DPhysics);
		L.EndClass();
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG__Createlive2d_framework_L2DPhysics(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);

			if (count == 0)
			{
				live2d.framework.L2DPhysics obj = new live2d.framework.L2DPhysics();
				ToLua.PushObject(L, obj);
				return 1;
			}
			else
			{
				return LuaDLL.luaL_throw(L, "invalid arguments to ctor method: live2d.framework.L2DPhysics.New");
			}
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_updateParam(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			live2d.framework.L2DPhysics obj = (live2d.framework.L2DPhysics)ToLua.CheckObject(L, 1, typeof(live2d.framework.L2DPhysics));
			live2d.ALive2DModel arg0 = (live2d.ALive2DModel)ToLua.CheckObject(L, 2, typeof(live2d.ALive2DModel));
			obj.updateParam(arg0);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_load(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);

			if (count == 1 && TypeChecker.CheckTypes(L, 1, typeof(char[])))
			{
				char[] arg0 = ToLua.CheckCharBuffer(L, 1);
				live2d.framework.L2DPhysics o = live2d.framework.L2DPhysics.load(arg0);
				ToLua.PushObject(L, o);
				return 1;
			}
			else if (count == 1 && TypeChecker.CheckTypes(L, 1, typeof(string)))
			{
				string arg0 = ToLua.ToString(L, 1);
				live2d.framework.L2DPhysics o = live2d.framework.L2DPhysics.load(arg0);
				ToLua.PushObject(L, o);
				return 1;
			}
			else if (count == 1 && TypeChecker.CheckTypes(L, 1, typeof(byte[])))
			{
				byte[] arg0 = ToLua.CheckByteBuffer(L, 1);
				live2d.framework.L2DPhysics o = live2d.framework.L2DPhysics.load(arg0);
				ToLua.PushObject(L, o);
				return 1;
			}
			else
			{
				return LuaDLL.luaL_throw(L, "invalid arguments to method: live2d.framework.L2DPhysics.load");
			}
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}
}

